'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearHooks = clearHooks;

var _declareDependencies = require('./declareDependencies');

var _declareDependencies2 = _interopRequireDefault(_declareDependencies);

var _declareVariables = require('./declareVariables');

var _declareVariables2 = _interopRequireDefault(_declareVariables);

var _beforeAll = require('./beforeAll');

var _beforeAll2 = _interopRequireDefault(_beforeAll);

var _afterAll = require('./afterAll');

var _afterAll2 = _interopRequireDefault(_afterAll);

var _inEachBegin = require('./inEachBegin');

var _inEachBegin2 = _interopRequireDefault(_inEachBegin);

var _inEachEnd = require('./inEachEnd');

var _inEachEnd2 = _interopRequireDefault(_inEachEnd);

var _declareMethods = require('./declareMethods');

var _declareMethods2 = _interopRequireDefault(_declareMethods);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//import beforeEach from './beforeEach'
//import afterEach from './afterEach'
const hooks = [_declareDependencies2.default, _declareVariables2.default, _beforeAll2.default,
//beforeEach,
//afterEach,
_afterAll2.default, _inEachBegin2.default, _inEachEnd2.default, _declareMethods2.default];

function clearHooks() {
  hooks.forEach(hook => {
    hook.clear();
  });
}

exports.default = {
  dependencies: _declareDependencies2.default,
  variables: _declareVariables2.default,
  beforeAll: _beforeAll2.default,
  //beforeEach,
  //afterEach,
  afterAll: _afterAll2.default,
  inEachBegin: _inEachBegin2.default,
  inEachEnd: _inEachEnd2.default,
  methods: _declareMethods2.default
};